Subject: Re: patch to cygwin.dll + ncurses for termcaps
From: [email-masked] (Sheik)

4 Mar 1997 23:58:46 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Mikey <[email-masked]>
Original-cc: cygnus <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Tue, 4 Mar 1997, Mikey wrote:

> Scott
> 	I don't recall if I put it in my orig post or not, but all of my
> filesystems are mounted -b, so the patches are LF only. When you use
> patch.exe the filesystem, file, and patch-file should all be in sync, (the
> file, and patch-file must be).
> 
   ug, I don't want to sound dense, but I don't think the patch itself is 
right, at least to the current source... for instance in your patch 
called termcaps.dif, here is the cut of the first few lines....

diff -urbBN ../winsup.orig/Makefile.in ./Makefile.in
--- ../winsup.orig/Makefile.in  Tue Feb 25 13:02:27 1997
+++ ./Makefile.in       Sat Feb 01 18:14:57 1997
@@ -1,4 +1,4 @@
-# Makefile.in for the winsup directory. #
+# Makefile.in for the winsup directory.
 # Copyright (c) 1995, 1996 Cygnus Solutions

so I look at the current Makefile.in in the newest source, and here is 
the first few lines.....

# Makefile.in for the winsup directory.
# Copyright (c) 1995, 1996 Cygnus Solutions

Notice, the first line DOESN'T have the "#" char at the end of the line., 
but your patch expects it to be there. The entire patch file you sent 
have these probs, so I thought maybe you based the patches on an older 
source tarball...

Thanks again,
Scott Kilau
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".